petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASCycleGetCorrection

Gets the coarse correction FAS context for this level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetCorrection(SNES snes, SNES *correction)

Logically Collective on SNES Many br

### Input Parameters

snes -the multigrid context Many br

### Output Parameters

correction -the coarse correction on this level Many br

### Notes

Returns NULL on the coarsest level. Many br

Many br

### Keywords

SNES, FAS, get, smoother, multigrid

### See Also

SNESFASCycleGetSmootherUp(), SNESFASCycleGetSmoother()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages